<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

automatic_feed_links();

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'before_widget' => '<ul><li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li></ul>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>',
	));
}
?>
<?php
function check_referrer() {
    if (!isset($_SERVER['HTTP_REFERER']) || $_SERVER['HTTP_REFERER'] == “”) {
        wp_die( __('Please enable referrers in your browser, or, if you\'re a spammer, bugger off!') );
    }
}

add_action('check_comment_flood', 'check_referrer');

/*Start of Theme Options*/

$themename = "ilookgood";
$shortname = "ilgud";
$options = array (


array( "type" => "open"),

array( "name" => "Layout",
	"type" => "title"),

array(  "name" => "Search Bar",
        "desc" => "Select where you want search bar to appear. <sup><a href='#note1'>(1)</a></sup>",
        "id" => $shortname."_searchbar",
        "type" => "select",
        "std" => "Top Bar",
        "options" => array("Top Bar", "Nav Bar")),

array(  "name" => "Social Action icons",
        "desc" => "Select where you want Twitter, Facebook & RSS icons to appear. <sup><a href='#note1'>(1)</a></sup>",
        "id" => $shortname."_socialactions",
        "type" => "select",
        "std" => "Nav Bar",
        "options" => array("Top Bar", "Nav Bar")),


array(  "name" => "Page list",
        "desc" => "Select where you want page list to appear. <sup><a href='#note1'>(1)</a></sup>",
        "id" => $shortname."_page_bar",
        "type" => "select",
        "std" => "Top Bar",
        "options" => array("Top Bar", "Nav Bar")),


array(  "name" => "Category list",
        "desc" => "Select where you want category list to appear. <sup><a href='#note1'>(1)</a></sup>",
        "id" => $shortname."_cat_bar",
        "type" => "select",
        "std" => "Nav Bar",
        "options" => array("Top Bar", "Nav Bar")),


array(  "name" => "Home Link",
        "desc" => "Select where you want home link/button to appear.  <sup><a href='#note1'>(1)</a></sup>",
        "id" => $shortname."_home_button",
        "type" => "select",
        "std" => "Nav Bar",
        "options" => array("Disabled", "Top Bar", "Nav Bar")),

array(  "name" => "Sidebar",
        "desc" => "Select which side you want sidebar to appear.",
        "id" => $shortname."_sidebar",
        "type" => "select",
        "std" => "Right",
        "options" => array("Right", "Left")),

array( "name" => "Show Graphical Logo",
	"desc" => "Select if you want to use graphical logo",
	"id" => $shortname."_show_graphic_logo",
	"type" => "checkbox",
	"std" => "false"),

array( "name" => "Custom Logo URL",
	"desc" => "Enter the url or path of your logo <sup><a href='#note2'>(2)</a></sup>",
	"id" => $shortname."_logo_url",
	"type" => "text",
	"std" => "wp-content/themes/ilookgood/images/logo.png"),


array( "name" => "Custom Logo Width",
	"desc" => "Enter the width of your logo",
	"id" => $shortname."_logo_width",
	"type" => "text",
	"std" => "283px"),

array( "name" => "Custom Logo Height",
	"desc" => "Enter the height of your logo",
	"id" => $shortname."_logo_height",
	"type" => "text",
	"std" => "81px"),
array( "type" => "close"),

array( "type" => "open"),

array( "name" => "Post/Page meta details",
	"type" => "title"),

array( "name" => "Remove Author Info in post meta",
	"desc" => "Select if you want to remove 'by author' info from post meta. <sup><a href='#note3'>(3)</a></sup>",
	"id" => $shortname."_remove_author_info_meta",
	"type" => "checkbox",
	"std" => "false"),

array( "name" => "Tags or Categories in Footer",
	"desc" => "Select if you want to show tags in post footer or categories. <sup><a href='#note3'>(3)</a></sup>",
	"id" => $shortname."_post_footer",
	"type" => "select",
	"std" => "tags",
	"options" => array("Tags","Categories")),

array( "type" => "close"),

array( "type" => "open"),

array( "name" => "Settings",
	"type" => "title"),

array(  "name" => "Twitter ID",
        "desc" => "Enter your Twitter id.<br><br><b>Note:</b> Leave the field blank to disable the icon.",
        "id" => $shortname."_twitter_id",
        "type" => "text",
        "std" => ""),

array(  "name" => "Facebook URL",
        "desc" => "Enter your Facebook url. (profile / fan page / group)<br><br><b>Note:</b> Leave the field blank to disable the icon.",
        "id" => $shortname."_facebook_url",
        "type" => "text",
        "std" => ""),


array( "type" => "close")

);

function ilgud_add_admin() {

global $themename, $shortname, $options;

if ( $_GET['page'] == basename(__FILE__) ) {

if ( 'save' == $_REQUEST['action'] ) {

foreach ($options as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }


foreach ($options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

$ilgud_include_pages = implode($_REQUEST[ilgud_include_pages], ",");
$ilgud_include_cats = implode($_REQUEST[ilgud_include_cats], ",");

update_option( 'ilgud_include_pages', $ilgud_include_pages );
update_option( 'ilgud_include_cats', $ilgud_include_cats );
header("Location: themes.php?page=functions.php&saved=true");
die;

} else if( 'reset' == $_REQUEST['action'] ) {

  global $table_prefix,$wpdb;
  $qry = "DELETE FROM ".$table_prefix."options WHERE option_name LIKE '$shortname%'";
  $del_setting = $wpdb->get_results( $qry );

foreach ($options as $value) {
delete_option( $value['id'] ); }

delete_option( 'ilgud_include_pages' );
delete_option( 'ilgud_include_cats' );

header("Location: themes.php?page=functions.php&reset=true");
die;

}
}

add_theme_page($themename." Options", "".$themename." Options", 'edit_themes', basename(__FILE__), 'ilgud_admin');

}

function ilgud_admin() {

global $themename, $shortname, $options;

if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';

?>
<div class="wrap">
<h2><?php echo $themename; ?> Settings</h2>

<div id="poststuff" class="metabox-holder">

<div id="poststuff" class="metabox-holder">
<form method="post">



<?php foreach ($options as $value) {
switch ( $value['type'] ) {

case "open":
?>
<div class="stuffbox">
<?php break;

case "close":
?>
</table>
</div>
</div>

<?php break;

case "title":
?>
<h3><label for="link_url"><?php echo $value['name']; ?></label></h3>
<div class="inside">
<table width="100%" border="0" style="padding:10px;">
<?php break;

case 'text':
?>

<tr><td width="25%" rowspan="2" valign="middle"><strong style="font-size:12px;"><?php echo $value['name']; ?></strong></td>
<td width="75%"><input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr><tr><td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px solid #E1E1E1;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

<?php
break;

case 'textarea':
?>

<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:400px; height:120px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea></td>

</tr>

<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

<?php
break;

case 'select':
$sel_done="";
?>
<tr>
<td width="25%" rowspan="2" valign="middle"><strong style="font-size:12px;"><?php echo $value['name']; ?></strong></td>
<td width="75%"><select style="width:200px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; $sel_done=1; } elseif ($option == $value['std'] && !$sel_done) { echo ' selected="selected"'; } ?> value="<?php echo $option; ?>"><?php echo $option; ?></option><?php } ?></select></td>
</tr><tr><td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px solid #E1E1E1;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

<?php
break;

case "checkbox":

	if(get_option($value['id'])) {
		$checked = "checked=\"checked\"";
	} else {
		$checked = "";
	}
?>
<tr>
<td width="25%" rowspan="2" valign="middle"><strong style="font-size:12px;"><?php echo $value['name']; ?></strong></td>
<td width="75%">
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />   <small><?php echo $value['desc']; ?></small>
</td></tr><tr></tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px solid #E1E1E1;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

<?php break;
}
}
$include_pages = explode(",",get_option('ilgud_include_pages'));
$include_cats = explode(",",get_option('ilgud_include_cats'));

?>


<div class="stuffbox">
<h3><label for="link_url">Category & Page List Customization</label></h3>
<div class="inside">
<table width="100%" border="0" style="padding:10px;">

<tr>
<td width="25%" rowspan="2" valign="top"><strong style="font-size:12px;">Include Pages</strong></td>
<td width="75%"><select multiple size=5 style="width:200px;height:150px;" name="ilgud_include_pages[]" id="ilgud_include_pages">
<?php
						$pages = get_pages();
						 foreach( $pages as $row ) {
							$ID = $row->ID;
							$post_title = $row->post_title;

							if(in_array($ID, $include_pages)) $sel = "selected";
							echo "				<option $sel value='$ID'>$post_title</option>\n";
							$sel = "";
						  }




					?>
			</select>
</td>
</tr><tr><td><small>Select the pages you want to show in your page list on Top bar or Nav Bar.</small></td></tr>


<tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px solid #E1E1E1;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

<tr>
<td width="25%" rowspan="2" valign="top"><strong style="font-size:12px;">Include Categories</strong></td>
<td width="75%"><select multiple size=5 style="width:200px;height:150px;" name="ilgud_include_cats[]" id="ilgud_include_cats">
<?php
						$cats = get_categories();
						 foreach( $cats as $row ) {

							$ID = $row->term_id;
							$cat_title = $row->name;

							if(in_array($ID, $include_cats)) $sel = "selected";
							echo "				<option $sel value='$ID'>$cat_title</option>\n";
							$sel = "";
						  }




					?>
			</select>
</td>
</tr>

</tr><tr><td><small>Select the categories you want to show in your category list on Top bar or Nav Bar.</small></td></tr>
</table>
</div>
</div>

<input name="save" type="submit" value="Save changes" class="button-primary" />
<input type="hidden" name="action" value="save" />
</form>
<p>&nbsp;</p>

<div class="stuffbox">
<h3><label for="link_url"><?php _e('Delete all settings'); ?></label></h3>
<div class="inside">

<form method="post">
<p class="submit">
If you want to reset and delete all settings set by this theme, please click this button:
<input name="reset" type="submit" value="Reset" style='color:red;'/>
<input type="hidden" name="action" value="reset" />
</p>
</form>

</div>
</div>

<div class="stuffbox">
<a name='note1'></a><h3><label for="link_url"><?php _e('Note 1: Navigation Bars & Layout Elements'); ?></label></h3>
<div class="inside">
<ul>
	<li> Top bar means the big green bar on the top.
	<li> Nav bar means the black bar in header.
	<li> You can decide on which bar you want your categories and pages.
	<li> You can also chose what you want to show on the right side of the bars. Twitter, Facebook and RSS icons OR search form.
	<li> You can show home page link in Top Bar or Nav Bar, selecting Disable will hide it from both.
</ul>

</div>

<a name='note2'></a><h3><label for="link_url"><?php _e('Note 2: Custom Logo'); ?></label></h3>
<div class="inside">
<ul>
	<li> We have provided the .psd for logo in wp-content/themes/ilookgood/psd folder.
	<li> Current logo is 283 pixel wide and 81 pixel in height, but you can increase or decrease the height and width as per your requirement.
	<li> Leave the field empty to display blog title in text.
</ul>
</div>

<a name='note3'></a><h3><label for="link_url"><?php _e('Note 3: Post meta details'); ?></label></h3>
<div class="inside">
<ul>
	<li> By default we will show 'Posted by author on date' in post meta, but you can remove author info if you want.
	<li> You can chose whether you want tags or categories to appear in post footer, they will both appear on single post page.
</ul>


</div>

</div>

<?php
}

add_action('admin_menu', 'ilgud_add_admin');
?>